import React, { useState } from "react";

interface Props {
   to: string;
   imageSrc: string;
   imageSrcOnHover: string;
   alt: string;
   name: string;
   onClick: Function;
}
export default function LangMenuItem(props: Props) {
   const [mEntered, setmEntered] = useState(false);
   return (
      <div
         onClick={() => {
            props.onClick();
         }}
         onMouseEnter={() => {
            setmEntered(true);
         }}
         onMouseLeave={() => {
            setmEntered(false);
         }}
         className="lang-dropdown-item"
      >
         {mEntered ? <img src={props.imageSrc} alt={props.alt} /> : <img src={props.imageSrcOnHover} alt={props.alt} />}
         <span>{props.name}</span>
      </div>
   );
}
